import productsReducer from "./../Redux/Products/reducer.js";
import articlesReducer from "./../Redux/Articles/reducer.js";
import commentsReducer from "./../Redux/Comments/reducer.js";

import { addProductAction } from "./../Redux/Products/actionCreators.js";
import { addArticleAction } from "./../Redux/Articles/actionCreators.js";

const store = Redux.createStore(
  Redux.combineReducers({
    products: productsReducer,
    articles: articlesReducer,
    comments: commentsReducer,
  })
);

store.subscribe(() => console.log(`Store Updated:`, store.getState()));

store.dispatch(addProductAction({ id: 1, title: "Laptop", price: 90_000_000 }));
store.dispatch(
  addArticleAction({
    id: 1,
    title: "مقایسه ویو و ریکت",
    body: "ما تو این مقاله میخوایم به تفاوت های بین ویو و ریکت بپردازیم",
  })
);
